#!/bin/sh

# this part is for dns2go only.
OPT=""
PID=`grep ^pid /var/dns2go/status.dat | cut -d= -f2`
[ "$PID" == 0 ] || OPT=" -r";
if [ -e /var/dns2go/runflag ]
then
  if [ "$1" == "up" ] || [ "$1" == "renewal" ]
  then
    /usr/bin/dns2go $OPT > /dev/null;
    /etc/sysconfig/network-scripts/ifup-post ifcfg-$2
  elif [ "$1" == 'down' ]
  then
    /usr/bin/dns2go -k > /dev/null;
  fi
fi

# the following is for the other ip change related services
if [ "$1" == "up" ] || [ "$1" == "renewal" ]
then
  /var/www/html/netwinder/plugins/os-dyndns/ipchange.pl $2;
fi

exit 0;
